Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.pdf.CertVerifyResult Class Reference

Inherits SystemIDisposable.

## Public Types
enum | CertStatus { CertStatus.e_CertStatusValid = 0, CertStatus.e_CertStatusRevoked = 1, CertStatus.e_CertStatusExpired = 2, CertStatus.e_CertStatusUnknown = 3 }
| Enumeration for certificate status. More...
enum | ResponseInfoLocation { ResponseInfoLocation.e_LocationNotSet = 0, ResponseInfoLocation.e_LocationDSS = 1, ResponseInfoLocation.e_LocationSignature = 2, ResponseInfoLocation.e_LocationOnline = 3 }
| Enumeration for response information location. More...
enum | RevocationReason { RevocationReason.e_ReasonNoStatus = -1, RevocationReason.e_ReasonUnspecified = 0, RevocationReason.e_ReasonKeyCompromise = 1, RevocationReason.e_ReasonCACompromise = 2, RevocationReason.e_ReasonAffiliationChanged = 3, RevocationReason.e_ReasonSuperseded = 4, RevocationReason.e_ReasonCessationOfOperation = 5, RevocationReason.e_ReasonCertificateHold = 6, RevocationReason.e_ReasonRemoveFromCRL = 7, RevocationReason.e_ReasonPrivilegeWithDrawn = 8, RevocationReason.e_ReasonAACompromise = 9 }
| Enumeration for revocation reason for a certificate. More...

## Public Member Functions
| CertVerifyResult (byte[] cert, bool is_ca, bool is_trusted, Response response, TimeRange response_effect_time_range, DateTime revoke_time, CertVerifyResult.CertStatus cert_status, CertVerifyResult.RevocationReason reason, DateTime cert_check_time, bool exist_signature_vri_creation_time, DateTime signature_vri_creation_time, bool exist_response_signature_vri_creation_time, DateTime response_signature_vri_creation_time, CertVerifyResult.ResponseInfoLocation response_info_location)
| Constructor, with parameters. More...
| CertVerifyResult ()
| Constructor.
| CertVerifyResult (CertVerifyResult other)
| Constructor, with another certificate verify result object. More...
void | Set (byte[] cert, bool is_ca, bool is_trusted, Response response, TimeRange response_effect_time_range, DateTime revoke_time, CertVerifyResult.CertStatus cert_status, CertVerifyResult.RevocationReason reason, DateTime cert_check_time, bool exist_signature_vri_creation_time, DateTime signature_vri_creation_time, bool exist_response_signature_vri_creation_time, DateTime response_signature_vri_creation_time, CertVerifyResult.ResponseInfoLocation response_info_location)
| Set value. More...

## Properties
byte [] | cert`[get, set]`
| A certificate contnet.
DateTime? | cert_check_time`[get, set]`
| The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
CertVerifyResult.CertStatus | cert_status`[get, set]`
| Certificate status. Please refer to values starting from foxit.pdf.CertVerifyResult.CertStatus.e_CertStatusValid and this should be one of these values.
bool | exist_response_signature_vri_creation_time`[get, set]`
| Indicate if creation time of response signature's VRI exists.
bool | exist_signature_vri_creation_time`[get, set]`
| Indicate if creation time of siganture's VRI exists.
bool | is_ca`[get, set]`
| Indicate if the certificate is a CA certificate.
bool | is_trusted`[get, set]`
| Indicate if the certificate is truscted by user.
CertVerifyResult.RevocationReason | reason`[get, set]`
| Revocation reason of the certificate. Please refer to values starting from foxit.pdf.CertVerifyResult.RevocationReason.e_ReasonNoStatus and this should be one of these values.
Response? | response`[get, set]`
| A response for the certificate.
TimeRange? | response_effect_time_range`[get, set]`
| The time range when the response takes effect.
CertVerifyResult.ResponseInfoLocation | response_info_location`[get, set]`
| Response information (as revocation information) location where certificate response can be found. Please refer to values starting from foxit.pdf.CertVerifyResult.ResponseInfoLocation.e_LocationNotSet and this should be one of these values.
DateTime? | response_signature_vri_creation_time`[get, set]`
| Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
DateTime? | revoke_time`[get, set]`
| Revoked time got from the response.
DateTime? | signature_vri_creation_time`[get, set]`
| Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.

## Detailed Description

This class represents the verify result for a certificate.

## Member Enumeration Documentation

## ◆ CertStatus

enum foxit.pdf.CertVerifyResult.CertStatus
| strong

Enumeration for certificate status.

Values of this enumeration should be used alone.

Enumerator
e_CertStatusValid | This means certificate is valid.
e_CertStatusRevoked | This means certificate is revoked.
e_CertStatusExpired | This means certificate is expired.
e_CertStatusUnknown | This means certificate status is unknown.

## ◆ ResponseInfoLocation

enum foxit.pdf.CertVerifyResult.ResponseInfoLocation
| strong

Enumeration for response information location.

Values of this enumeration should be used alone.

Enumerator
e_LocationNotSet | Location is not set.
e_LocationDSS | Response information is found in DSS dictionary.
e_LocationSignature | Response information is found in signature content.
e_LocationOnline | Response information is got by online request.

## ◆ RevocationReason

enum foxit.pdf.CertVerifyResult.RevocationReason
| strong

Enumeration for revocation reason for a certificate.

Values of this enumeration should be used alone.

Enumerator
e_ReasonNoStatus | Revocatoin reason: ceritifcate has no status.
e_ReasonUnspecified | Revocatoin reason: unspecified reason.
e_ReasonKeyCompromise | Revocatoin reason: key compromise.
e_ReasonCACompromise | Revocatoin reason: CA compromise.
e_ReasonAffiliationChanged | Revocatoin reason: affiliation changed.
e_ReasonSuperseded | Revocatoin reason: superseded.
e_ReasonCessationOfOperation | Revocatoin reason: cessation of operation.
e_ReasonCertificateHold | Revocatoin reason: certificate hold.
e_ReasonRemoveFromCRL | Revocatoin reason: remove from CRL.
e_ReasonPrivilegeWithDrawn | Revocatoin reason: privilege with drawn.
e_ReasonAACompromise | Revocatoin reason: AA compromise.

## Constructor & Destructor Documentation

## ◆ CertVerifyResult() [1/2]

foxit.pdf.CertVerifyResult.CertVerifyResult | ( | byte [] | cert,
|  | bool | is_ca,
|  | bool | is_trusted,
|  | Response | response,
|  | TimeRange | response_effect_time_range,
|  | DateTime | revoke_time,
|  | CertVerifyResult.CertStatus | cert_status,
|  | CertVerifyResult.RevocationReason | reason,
|  | DateTime | cert_check_time,
|  | bool | exist_signature_vri_creation_time,
|  | DateTime | signature_vri_creation_time,
|  | bool | exist_response_signature_vri_creation_time,
|  | DateTime | response_signature_vri_creation_time,
|  | CertVerifyResult.ResponseInfoLocation | response_info_location
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from foxit.pdf.CertVerifyResult.CertStatus.e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from foxit.pdf.CertVerifyResult.RevocationReason.e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from foxit.pdf.CertVerifyResult.ResponseInfoLocation.e_LocationNotSet and this should be one of these values.

## ◆ CertVerifyResult() [2/2]

foxit.pdf.CertVerifyResult.CertVerifyResult | ( | CertVerifyResult | other | ) |
| inline

Constructor, with another certificate verify result object.

Parameters

  [in] | other | Another response object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.CertVerifyResult.Set | ( | byte [] | cert,
|  | bool | is_ca,
|  | bool | is_trusted,
|  | Response | response,
|  | TimeRange | response_effect_time_range,
|  | DateTime | revoke_time,
|  | CertVerifyResult.CertStatus | cert_status,
|  | CertVerifyResult.RevocationReason | reason,
|  | DateTime | cert_check_time,
|  | bool | exist_signature_vri_creation_time,
|  | DateTime | signature_vri_creation_time,
|  | bool | exist_response_signature_vri_creation_time,
|  | DateTime | response_signature_vri_creation_time,
|  | CertVerifyResult.ResponseInfoLocation | response_info_location
| ) |  |
| inline

Set value.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from foxit.pdf.CertVerifyResult.CertStatus.e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from foxit.pdf.CertVerifyResult.RevocationReason.e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from foxit.pdf.CertVerifyResult.ResponseInfoLocation.e_LocationNotSet and this should be one of these values.

Returns
  None.